<script setup>
import { api } from "@/api";
import { ref, onMounted } from "vue";
import ArticleList from "@/components/ArticleList.vue";

const articles = ref({
  items: [],
});

api
  .get("/api/blog-posts", { params: { populate: "blog_tags" } })
  .then((response) => {
    console.log(response.data.data);
    articles.value.items = response.data.data;
  });
</script>

<template>
  <ArticleList :articles="articles.items"></ArticleList>
</template>
